/************************************************** KONTAKT **************************************************/
.page-kontakt {background-color: #FEF7D8;}
.kontakt-intro {
    height: 90vh;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    overflow: hidden;
}
.kontakt-intro img{
	position: absolute;
    top: 0;
    height: 100%;
    right: 0;
    transform: translate(10%, 20px);
    z-index: 1;
    object-fit: cover;
}
.kontakt-intro-img-mobile {display: none;}
.kontakt-intro .wp-block-column:first-child {
    position: relative;
    z-index: 9;
}


.page-kontakt form {
    width: 50%;
    margin: 0 auto;
}

#kontakt-form,
#kontakt-offices {scroll-margin-top:75px;}
.kontakt-form figure {
    position: absolute;
    top: 0;
    left: 0;
    transform: translate(-50%, -50%);

}

.wpcf7-form .form-field {margin-bottom: 20px;}

.wpcf7-form .form-field input,
.wpcf7-form .form-field select,
.wpcf7-form .form-field textarea {
    background-color: #FEFBEF;
    border: 1px solid #060602;
    border-radius: 15px;
    width: 100%;
    padding: 20px;
}

.wpcf7-form .form-submit {
    display: flex;
    justify-content: end;
}
.wpcf7-spinner {display: none;}
.wpcf7-form .wpcf7-submit {
    border-radius: 30px;
    background-color: #777A25;
    color: #F7FFBB;
    border: none;
    padding: 15px 70px;
}

input::placeholder,
textarea::placeholder {
    color: #000;
    opacity: 1; /* important for Firefox */
}


.kontakt-info-1,
.kontakt-offices > .wp-block-group__inner-container,
.kontakt-faq {
	width:60%;
	margin:0 auto;
}

.kontakt-office-info .wp-block-group__inner-container {
	display:flex;
	gap:20px;
}
.kontakt-office-info {margin-bottom:30px;}
.kontakt-office-info i {
    font-size: 30px;
    color: #F7FFBB;
    background-color: black;
    height: max-content;
    padding: 10px;
    border-radius: 5px;
}
.kontakt-office-info p {font-weight:600;}

/************************************************** OPTIMIZATION **************************************************/
@media (max-width: 1600px) {
	.kontakt-intro {height:100vh;}
}

@media (max-width: 1200px) {}

@media (max-width: 991px) {}

@media (max-width: 768px) {
	.kontakt-intro-img-desktop {display: none;}
    .kontakt-intro-img-mobile {
        z-index: 3;
        position: relative;
        display: block;
    }
    .kontakt-intro-img-mobile img {
        position: relative;
        transform: none;
    }
}

@media (max-width: 600px) {
	.kontakt-intro {
        height: max-content;
        display: block;
        padding: 20px !important;
        color: var(--light_cream);
        padding-bottom: 0 !important;
    }
	.kontakt-intro::after {
		content: "";
		display: block;
		width: 100%;
		height: 150px;
		position: absolute;
		background-color: #f07d19;
		bottom: 0;
		left: 0;
	}
    .kontakt-intro .heading2 {
        font-size: 28px;
        line-height: 30px;
        letter-spacing: 0px;
    }
    .kontakt-intro p,
	.kontakt-info-1 p {font-size: 18px !important;}
	
	.kontakt-form figure {display:none;}
	
	.kontakt-form {padding: 0 !important;}
	.page-kontakt form {width:100%;}
	.wpcf7-form .form-field input, .wpcf7-form .form-field select, .wpcf7-form .form-field textarea {padding:10px 20px;}
	
	.kontakt-info-1 {background-color:white;}
	.kontakt-info-1, .kontakt-offices > .wp-block-group__inner-container, .kontakt-faq {
		width:100%;
		padding:0 30px;
	}
	
	.kontakt-offices iframe {
		width:100%;
		height:200px;
	}
	.kontakt-offices .wp-block-spacer {height:50px !important;}
}